Package org.bukkit.event.player

# Class PlayerItemMendEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
org.bukkit.event.player.PlayerItemMendEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerItemMendEvent extends PlayerEvent implements Cancellable
Represents when a player has an item repaired via the Mending enchantment.
This event is fired directly before the `PlayerExpChangeEvent`, and the results of this event directly affect the `PlayerExpChangeEvent`.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerItemMendEvent(@NotNull Player who, @NotNull ItemStack item, @NotNull ExperienceOrb experienceOrb, int repairAmount)`
Deprecated.
`PlayerItemMendEvent(@NotNull Player who, @NotNull ItemStack item, @NotNull EquipmentSlot slot, @NotNull ExperienceOrb experienceOrb, int repairAmount)`

## Method Summary

Modifier and Type
Method
Description
`@NotNull ExperienceOrb`
`getExperienceOrb()`
Get the experience orb triggering the event.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull ItemStack`
`getItem()`
Get the `ItemStack` to be repaired.
`int`
`getRepairAmount()`
Get the amount the item is to be repaired.
`@NotNull EquipmentSlot`
`getSlot()`
Get the `EquipmentSlot` in which the repaired `ItemStack` may be found.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancelled)`
Sets the cancellation state of this event.
`void`
`setRepairAmount(int amount)`
Set the amount the item will be repaired.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerItemMendEvent

public PlayerItemMendEvent(@NotNull @NotNull Player who, @NotNull @NotNull ItemStack item, @NotNull @NotNull EquipmentSlot slot, @NotNull @NotNull ExperienceOrb experienceOrb, int repairAmount)

### PlayerItemMendEvent

@Deprecated public PlayerItemMendEvent(@NotNull @NotNull Player who, @NotNull @NotNull ItemStack item, @NotNull @NotNull ExperienceOrb experienceOrb, int repairAmount)
Deprecated.

## Method Details

### getItem

@NotNull public @NotNull ItemStack getItem()
Get the `ItemStack` to be repaired. This is not necessarily the item the player is holding.

Returns:
  the item to be repaired

### getSlot

@NotNull public @NotNull EquipmentSlot getSlot()
Get the `EquipmentSlot` in which the repaired `ItemStack` may be found.

Returns:
  the repaired slot

### getExperienceOrb

@NotNull public @NotNull ExperienceOrb getExperienceOrb()
Get the experience orb triggering the event.

Returns:
  the experience orb

### getRepairAmount

public int getRepairAmount()
Get the amount the item is to be repaired. The default value is twice the value of the consumed experience orb or the remaining damage left on the item, whichever is smaller.

Returns:
  how much damage will be repaired by the experience orb

### setRepairAmount

public void setRepairAmount(int amount)
Set the amount the item will be repaired. Half of this value will be subtracted from the experience orb which initiated this event.

Parameters:
  `amount` - how much damage will be repaired on the item

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancelled)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancelled` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()